> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.rhombus.community/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Envoy integration V2

> Update Envoy integration



## OpenAPI

````yaml https://api2.rhombussystems.com/api/openapi/public.json post /api/integrations/serviceManagement/updateEnvoyIntegrationV2
openapi: 3.0.1
info:
  contact:
    email: developer@rhombussystems.com
  description: >-
    This API is for use by Rhombus customers and partners.


    ## Authentication


    All requests require two headers:

    - `x-auth-scheme` — The authentication scheme identifier. Use `api-token`
    for standard API key auth, or `partner-api-token` for partner API auth.

    - `x-auth-apikey` — Your Rhombus API key.


    Example:

    ```

    POST /api/camera/getMinimalCameraStateList

    x-auth-scheme: api-token

    x-auth-apikey: YOUR_API_KEY

    Content-Type: application/json

    ```
  title: Rhombus API
  version: '1.0'
servers:
  - description: Production Server
    url: https://api2.rhombussystems.com
security:
  - ApiKeyAuth: []
paths:
  /api/integrations/serviceManagement/updateEnvoyIntegrationV2:
    post:
      tags:
        - Service Management Integrations Webservice
      summary: Update Envoy integration V2
      description: Update Envoy integration
      operationId: updateEnvoyIntegrationV2
      parameters:
        - description: >-
            Authentication scheme identifier. Use `api-token` for standard API
            key authentication, `partner-api-token` for partner API key
            authentication. Must be paired with the `x-auth-apikey` header
            containing your API key.
          example: api-token
          in: header
          name: x-auth-scheme
          required: true
          schema:
            type: string
            default: api-token
            enum:
              - api-token
              - api
              - partner-api-token
              - partner-api
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/Integration_UpdateEnvoyIntegrationV2WSRequest
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Integration_UpdateOrgIntegrationsWSResponse
          description: OK
components:
  schemas:
    Integration_UpdateEnvoyIntegrationV2WSRequest:
      type: object
      description: >-
        Request object for updating Envoy V2 integration settings with enhanced
        visitor management features.
      properties:
        envoySettings:
          $ref: '#/components/schemas/IEnvoyType'
    Integration_UpdateOrgIntegrationsWSResponse:
      type: object
      description: Response object for updating organization integrations.
      properties:
        authError:
          type: boolean
          description: Whether an authentication error occurred during update
          example: false
          nullable: true
        error:
          type: boolean
          nullable: true
        errorMsg:
          type: string
          nullable: true
        failedGuids:
          type: array
          description: List of GUIDs that failed to update
          items:
            type: string
            description: List of GUIDs that failed to update
            nullable: true
          nullable: true
        misconfiguredDoors:
          type: array
          description: List of door names that are assigned to multiple Rhombus locations
          items:
            type: string
            description: List of door names that are assigned to multiple Rhombus locations
            nullable: true
          nullable: true
        warningMsg:
          type: string
          nullable: true
    IEnvoyType:
      type: object
      description: Envoy V2 integration settings to update
      properties:
        alertUnauthorizedFaces:
          type: boolean
          nullable: true
        apiToken:
          type: string
          nullable: true
        badgeAuthDisablesAlarmMonitoring:
          type: boolean
          nullable: true
        createAccessAnomalyAlerts:
          type: boolean
          nullable: true
        createSeekPoints:
          type: boolean
          nullable: true
        doorInfoMap:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/BadgeIntegrationDoorInfoType'
          nullable: true
        doorsValidated:
          type: boolean
          nullable: true
        enabled:
          type: boolean
          nullable: true
        envoyIntegrationInstalled:
          type: boolean
          nullable: true
        envoyUserSettingsMap:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/EnvoyUserSettings'
          nullable: true
        identifyFacesFromBadge:
          type: boolean
          nullable: true
        indexFaces:
          type: boolean
          nullable: true
        integration:
          $ref: '#/components/schemas/IntegrationEnum'
        integrationAuditMap:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/IntegrationAuditEvent'
          nullable: true
        locationInfoMap:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/EnvoyLocationInfoType'
          nullable: true
        misconfiguredDoors:
          type: array
          items:
            type: string
            nullable: true
          nullable: true
        orgUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        refreshToken:
          type: string
          nullable: true
        saveClips:
          type: boolean
          nullable: true
        tokenValid:
          type: boolean
          nullable: true
        userUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
    BadgeIntegrationDoorInfoType:
      type: object
      nullable: true
      properties:
        assignedCameraList:
          type: array
          items:
            type: string
            format: RUUID
            description: base 64 (url-safe) uuid string
            example: AAAAAAAAAAAAAAAAAAAAAA
            nullable: true
          nullable: true
        clipDuration:
          type: integer
          format: int32
          nullable: true
        doorName:
          type: string
          nullable: true
        leadingSeconds:
          type: integer
          format: int32
          nullable: true
        locationUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        remoteUnlock:
          type: boolean
          nullable: true
        subLocationsHierarchyKey:
          type: string
          format: SubLocationsHierarchyKey
          description: |
            A sequence of one or more base 64 (url-safe) uuid substrings.
            These substrings are separated by dots (.).
          example: AAAAAAAAAAAAAAAAAAAAAA.AAAAAAAAAAAAAAAAAAAAAA.AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
          pattern: ^([A-Za-z0-9\-_]{22})([.][A-Za-z0-9\-_]{22})*$
    EnvoyUserSettings:
      type: object
      nullable: true
      properties:
        guestsEnabled:
          type: boolean
          nullable: true
        packagesEnabled:
          type: boolean
          nullable: true
    IntegrationEnum:
      type: string
      enum:
        - AVIGILON_ALTA
        - BOULEVARD
        - BRIVO
        - BUTTERFLY_MX
        - DEVICE_INTEGRATION
        - DICE
        - ENVOY
        - FLIC
        - GENEA
        - GOOGLE
        - HONEYWELL_ELEMENTS
        - GUEST_MANAGEMENT
        - INFORMACAST
        - INNER_RANGE
        - KISI
        - LUMEO
        - MICROSOFT_TEAMS
        - OMNIALERT
        - OPENAI
        - OPENTECH_ALLIANCE
        - PIMLOC
        - PLACE_OS
        - PRODATAKEY
        - SHELLY
        - TOAST
        - WEBHOOKS
        - ZAPIER
        - RAPTOR
        - NINEONEONE_CELLULAR
        - SLACK
        - APERIO
        - PAR_POS
        - HONEYWELL_ONGUARD
        - HONEYWELL_NETBOX
        - SIGNATURE_API
        - UNKNOWN
    IntegrationAuditEvent:
      type: object
      properties:
        enabledTimestampMs:
          type: integer
          format: int64
          nullable: true
        integrationAuditEvent:
          $ref: '#/components/schemas/IntegrationAuditEventEnum'
        user:
          type: string
          nullable: true
        userUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
    EnvoyLocationInfoType:
      type: object
      nullable: true
      properties:
        assignedCameraList:
          type: array
          items:
            type: string
            format: RUUID
            description: base 64 (url-safe) uuid string
            example: AAAAAAAAAAAAAAAAAAAAAA
            nullable: true
          nullable: true
        locationName:
          type: string
          nullable: true
    IntegrationAuditEventEnum:
      type: string
      enum:
        - UPDATE
        - DELETE
  securitySchemes:
    ApiKeyAuth:
      description: >-
        Your Rhombus API key. Must be accompanied by the `x-auth-scheme` header
        set to `api-token` (or `partner-api-token` for partner endpoints).
      in: header
      name: x-auth-apikey
      type: apiKey

````